{ lib, pkgs, ... }:
let
  timezone = "America/Chicago";
in
{
  imports = [
    ./boot.nix
    ./environment.nix
    ./hardware.nix
    ./nix-settings.nix
    ./programs.nix
    ./security.nix
    ./services.nix
  ];

  # Time config
  time = {
    # Set your time zone.
    timeZone = timezone;
  };

  fonts.packages = with pkgs; [
    font-awesome
    noto-fonts
    noto-fonts-color-emoji
    meslo-lgs-nf
  ] ++ builtins.filter lib.attrsets.isDerivation (builtins.attrValues pkgs.nerd-fonts);

  fonts.fontconfig.defaultFonts = {
    emoji = [
      "Noto Color Emoji"
    ];
  };

  system.stateVersion = "23.11";
}
